gnutls_extra_check_version(3)

NAME
gnutls_extra_check_version - API function

SYNOPSIS
#include <gnutls/extra.h>

const char * gnutls_extra_check_version(const char * req_version);

ARGUMENTS

const char * req_version
    version string to compare with, or NULL.

DESCRIPTION
Check GnuTLS Extra Library version. See GNUTLS_EXTRA_VERSION for a suitable req_version string.

RETURN VALUE
Check that the version of the library is at minimum the one given as a string in req_version and return the actual version string of the library; return NULL if the condition is not met. If NULL is passed to this function no check is done and only the version string is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.